%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  et.nwfva
%global packver   0.2.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.2.0
Release:          1%{?dist}%{?buildtag}
Summary:          Forest Yield Tables for Northwest Germany and their Application

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5
Requires:         R-core >= 3.5
BuildArch:        noarch

%description
The new yield tables developed by the Northwest German Forest Research
Institute (NW-FVA) provide a forest management tool for the five main
commercial tree species oak, beech, spruce, Douglas-fir and pine for
northwestern Germany. The new method applied for deriving yield tables
combines measurements of growth and yield trials with growth simulations
using a state-of-the-art single-tree growth simulator. By doing so, the
new yield tables reflect the current increment level and the recommended
graduated thinning from above is the underlying management concept. The
yield tables are provided along with methods for deriving the site index
and for interpolating between age and site indices and extrapolating
beyond age and site index ranges. The inter-/extrapolations are performed
traditionally by the rule of proportion or with a functional approach.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
